Windows Management Instrumentation (WMI) 1.5 is already installed on Windows 2000 and Windows 98 computers—it's part of the core OS—but it isn't a native part of Windows NT 4.0 or Win95. If you want to run WMI scripts on an NT 4.0 or Win95 system, you need to install WMI on that system, even if the scripts address remote computers.

You can download WMI 1.5 for NT 4.0 Service Pack 4 (SP4) or later and Win95 from http://www.msdn.microsoft.com/downloads/sdks/wmi/download.asp. If you plan to install WMI on both NT 4.0 and Win95, you can download a version that works on both platforms. After downloading the software, run wmicore.exe to begin a short wizard, which asks you to accept the End User License Agreement (EULA) and confirm that you understand that you can't uninstall WMI after you install it. The installation program will copy some files to your computer. Reboot, and when you restart, a new folder (\%systemroot%\system\wbem, on Win95 computers) will be on your system. Which WMI providers are supported depends on the platform—for example, Win95 doesn't have event logging, so you can't use WMI to query event logs on a Win95 system, even though WMI would support such a query on a Win2K or NT 4.0 computer.